Debian Bug report logs - #506915
FTBFS: libpoe-component-client-dns-perl - Failed test 'lookup without hosts file (67.207.145.70)'

version graph

Package: libpoe-component-client-dns-perl; Maintainer for libpoe-component-client-dns-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libpoe-component-client-dns-perl is src:libpoe-component-client-dns-perl.

Reported by: Rene Mayorga <rmayorga@debian.org.sv>

Date: Tue, 25 Nov 2008 21:57:03 UTC

Severity: serious

Found in version libpoe-component-client-dns-perl/1:1.00-1

Fixed in version libpoe-component-client-dns-perl/1:1.01-2

Done: Rene Mayorga <rmayorga@debian.org.sv>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Tue, 25 Nov 2008 21:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 25 Nov 2008 21:57:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: libpoe-component-client-dns-perl - Failed test 'lookup without hosts file (67.207.145.70)'
Date: Tue, 25 Nov 2008 15:55:41 -0600
Package: libpoe-component-client-dns-perl
Version: 1:1.00-1
Severity: serious
Justification: Fails to build from source 

Hi,

As Tincho said at CPAN RT#33677[0]
requiring network access at the test suite could be a problem.

At this moment libpoe-component-client-dns-perl from lenny (1:1.00-1)
is failing to build if there is not network available.
  
  [0] http://rt.cpan.org/Public/Bug/Display.html?id=33677


Here is the output:

> t/06_hosts.......NOK 1/3                                                     
> #   Failed test 'lookup without hosts file (67.207.145.70)'
> #   at t/06_hosts.t line 54.
> t/06_hosts.......NOK 3/3                                                     
> #   Failed test 'lookup without hosts file match (67.207.145.70)'
> #   at t/06_hosts.t line 100.
> # Looks like you failed 2 tests of 3.
> t/06_hosts.......dubious                                                     
>        Test returned status 2 (wstat 512, 0x200)
> DIED. FAILED tests 1, 3
>        Failed 2/3 tests, 33.33% okay
> Failed Test  Stat Wstat Total Fail  List of Failed
> -------------------------------------------------------------------------------
> t/06_hosts.t    2   512     3    2  1 3
> Failed 1/6 test scripts. 2/27 subtests failed.
> Files=6, Tests=27,  2 wallclock secs ( 1.04 cusr +  0.21 csys =  1.25 CPU)
> Failed 1/6 test programs. 2/27 subtests failed.

The version present at unstable already includes Tincho's proposal patch and the
package build fine.

IMHO this deserve serious as severity.
and it will also deserve a push from a patched version to at least t-p-u.

Regards

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=es_SV.UTF-8, LC_CTYPE=es_SV.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libpoe-component-client-dns-perl depends on:
ii  libnet-dns-perl               0.63-2     Perform DNS queries from a Perl sc
ii  libpoe-perl                   2:1.0030-1 event driven component architectur
ii  perl                          5.10.0-17  Larry Wall's Practical Extraction 

libpoe-component-client-dns-perl recommends no packages.

libpoe-component-client-dns-perl suggests no packages.

-- no debconf information




Bug no longer marked as found in version 1:1.01-1. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 25 Nov 2008 22:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Tue, 25 Nov 2008 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 25 Nov 2008 22:21:05 GMT) Full text and rfc822 format available.

Message #12 received at 506915@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Rene Mayorga <rmayorga@debian.org.sv>, 506915@bugs.debian.org
Subject: Re: Bug#506915: FTBFS: libpoe-component-client-dns-perl - Failed test 'lookup without hosts file (67.207.145.70)'
Date: Tue, 25 Nov 2008 23:17:48 +0100
[Message part 1 (text/plain, inline)]
On Tue, 25 Nov 2008 15:55:41 -0600, Rene Mayorga wrote:

> At this moment libpoe-component-client-dns-perl from lenny (1:1.00-1)
> is failing to build if there is not network available.

That's strange, because:

> > t/06_hosts.......NOK 1/3                                                     
> > #   Failed test 'lookup without hosts file (67.207.145.70)'
> > #   at t/06_hosts.t line 54.
> > t/06_hosts.......NOK 3/3                                                     
> > #   Failed test 'lookup without hosts file match (67.207.145.70)'
> > #   at t/06_hosts.t line 100.
> > # Looks like you failed 2 tests of 3.
> > t/06_hosts.......dubious                                                     
> >        Test returned status 2 (wstat 512, 0x200)

1) If I build the package from testing (after `ifdown eth0') the test
   suite passes with:

t/06_hosts.......ok
        2/3 skipped: various reasons
All tests successful, 2 subtests skipped.


2) The package from testing has Tincho's patch applied (both in the
   source package downloaded from testing and in svn [r15926]).


But I have to admit that I have no idea why you get this error ...   
The fact that you get this error and the output of the failed tests
looks like the patch is not applied?!


Cheers,
gregor
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Donovan: Dignity Of Man
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Tue, 25 Nov 2008 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 25 Nov 2008 23:15:04 GMT) Full text and rfc822 format available.

Message #17 received at 506915@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: gregor herrmann <gregoa@debian.org>
Cc: 506915@bugs.debian.org
Subject: Re: Bug#506915: FTBFS: libpoe-component-client-dns-perl - Failed test 'lookup without hosts file (67.207.145.70)'
Date: Tue, 25 Nov 2008 17:47:20 -0500
[Message part 1 (text/plain, inline)]
On Tue, Nov 25, 2008 at 11:17:48PM +0100, gregor herrmann wrote:
> On Tue, 25 Nov 2008 15:55:41 -0600, Rene Mayorga wrote:
> 
> > At this moment libpoe-component-client-dns-perl from lenny (1:1.00-1)
> > is failing to build if there is not network available.

Ok, this is my fault here I double check, and my network was available
when I build the package.

So perhaps was my original report said, this package is failing to build
whit the network available

> That's strange, because:
> > > t/06_hosts.......NOK 1/3                                                     
> > > #   Failed test 'lookup without hosts file (67.207.145.70)'
> > > #   at t/06_hosts.t line 54.
[....]

Ok I check this and It looks like the problem is that the package is
expecting a different IP address from poe.perl.org

1:1.01-1 is not failing since upstream update the IP address there.

> 1) If I build the package from testing (after `ifdown eth0') the test
>    suite passes with:
> 
> t/06_hosts.......ok
>         2/3 skipped: various reasons
> All tests successful, 2 subtests skipped.

Ok, I tested again not just when I suppose that my network cable was
unplugged I tested after 'ifdown eth0` and indeed the tests are skipped. 

> 2) The package from testing has Tincho's patch applied (both in the
>    source package downloaded from testing and in svn [r15926]).

Ack.

> But I have to admit that I have no idea why you get this error ...   
> The fact that you get this error and the output of the failed tests
> looks like the patch is not applied?!

Ok, Sorry for the noise here, but There is still a problem building the
package, but now only when the network is available.


Cheers
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Tue, 25 Nov 2008 23:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 25 Nov 2008 23:30:02 GMT) Full text and rfc822 format available.

Message #22 received at 506915@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Rene Mayorga <rmayorga@debian.org.sv>, 506915@bugs.debian.org
Subject: Re: Bug#506915: FTBFS: libpoe-component-client-dns-perl - Failed test 'lookup without hosts file (67.207.145.70)'
Date: Wed, 26 Nov 2008 00:28:22 +0100
[Message part 1 (text/plain, inline)]
On Tue, 25 Nov 2008 17:47:20 -0500, Rene Mayorga wrote:

> > > At this moment libpoe-component-client-dns-perl from lenny (1:1.00-1)
> > > is failing to build if there is not network available.
> Ok, this is my fault here I double check, and my network was available
> when I build the package.

Ah!
 
> > That's strange, because:
> > > > t/06_hosts.......NOK 1/3                                                     
> > > > #   Failed test 'lookup without hosts file (67.207.145.70)'
> > > > #   at t/06_hosts.t line 54.
> [....]
> Ok I check this and It looks like the problem is that the package is
> expecting a different IP address from poe.perl.org

Ouch.
 
> Ok, I tested again not just when I suppose that my network cable was
> unplugged I tested after 'ifdown eth0` and indeed the tests are skipped. 

And I tested now with the network up, and I get the same error as
you:

t/06_hosts.......
#   Failed test 'lookup without hosts file (67.207.145.70)'
#   at t/06_hosts.t line 54.

#   Failed test 'lookup without hosts file match (67.207.145.70)'
#   at t/06_hosts.t line 100.
# Looks like you failed 2 tests of 3.
dubious

 
> Ok, Sorry for the noise here, but There is still a problem building the
> package, but now only when the network is available.

Ack.

I'm on my way to bed now and can't check further; I _seem_ to remember
that the changes in the version in unstable are rather minimal, maybe
we could ask the release team if they would let it migrate? Otherwise
a patch and t-p-u ...

Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Wed, 26 Nov 2008 04:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 26 Nov 2008 04:57:02 GMT) Full text and rfc822 format available.

Message #27 received at 506915@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 506915@bugs.debian.org
Cc: Rene Mayorga <rmayorga@debian.org.sv>
Subject: Re: Bug#506915: FTBFS: libpoe-component-client-dns-perl
Date: Wed, 26 Nov 2008 06:53:09 +0200
[Message part 1 (text/plain, inline)]
- Failed
        test 'lookup without hosts file (67.207.145.70)'
Reply-To:
In-Reply-To: <20081125232822.GI4571@belanna.comodo.priv.at>
X-Debbugs-No-Ack: please

-=| gregor herrmann, Wed, Nov 26, 2008 at 12:28:22AM +0100 |=-
> On Tue, 25 Nov 2008 17:47:20 -0500, Rene Mayorga wrote:
> > Ok I check this and It looks like the problem is that the package 
> > is
> > expecting a different IP address from poe.perl.org
> 
> Ouch.
>  
> > Ok, I tested again not just when I suppose that my network cable was
> > unplugged I tested after 'ifdown eth0` and indeed the tests are skipped. 
> 
> And I tested now with the network up, and I get the same error as
> you:
> 
> t/06_hosts.......
> #   Failed test 'lookup without hosts file (67.207.145.70)'
> #   at t/06_hosts.t line 54.
> 
> #   Failed test 'lookup without hosts file match (67.207.145.70)'
> #   at t/06_hosts.t line 100.
> # Looks like you failed 2 tests of 3.
> dubious
>  
> > Ok, Sorry for the noise here, but There is still a problem building the
> > package, but now only when the network is available.
> 
> Ack.
> 
> I'm on my way to bed now and can't check further; I _seem_ to remember
> that the changes in the version in unstable are rather minimal, maybe
> we could ask the release team if they would let it migrate? Otherwise
> a patch and t-p-u ...

The changes in sid are:
  * bump version number
  * cange poe.perl.org IP address in tests
  * apply Tinco's patch for skipping tests when no network is 
    available

So the only change not available in testing is the change of the IP 
address of poe.perl.org.

However, I think that the idea is broken -- poe.perl.org may change 
its address again and security team won't be able to rebuild the 
package. What I propose instead is to compare the result of the 
poco-c-dns' resolver and the system-wide resolver.

 $ getent hosts poe.perl.org
 67.207.145.70   poe.perl.org

and ignoring the test if the system-wide resolver fails.

Now, getent may well work fine on Debian, and probably many unux-based 
OSes, but I doubt it can be considered portable. Perhaps using 
Net::DNS would be better.

Providing a patch left as an exercise for the reader :)

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Sat, 29 Nov 2008 01:18:02 GMT) Full text and rfc822 format available.

Message #30 received at 506915@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 506915@bugs.debian.org, 506915-submitter@bugs.debian.org
Subject: Bug in libpoe-component-client-dns-perl fixed in revision 27415
Date: Sat, 29 Nov 2008 01:15:37 +0000
tag 506915 + pending
thanks

Some bugs are closed in revision 27415
by Rene Mayorga (rmayorga-guest)

Commit message:

* Add debian/patches/use_netdns_instead_of_harcode_ips.patch
  + this use Net::DNS to resolve poe.perl.org IP address instead of 
    using a hardcode address at tests. Closes: #506915




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Sat, 29 Nov 2008 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 29 Nov 2008 01:18:04 GMT) Full text and rfc822 format available.

Message #35 received at 506915@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: Damyan Ivanov <dmn@debian.org>, 506915@bugs.debian.org
Subject: Re: Bug#506915: FTBFS: libpoe-component-client-dns-perl
Date: Fri, 28 Nov 2008 19:49:15 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 26, 2008 at 06:53:09AM +0200, Damyan Ivanov wrote:
> The changes in sid are:
>   * bump version number
>   * cange poe.perl.org IP address in tests
>   * apply Tinco's patch for skipping tests when no network is 
>     available
> 
> So the only change not available in testing is the change of the IP 
> address of poe.perl.org.

Yes, it should be no problem trying to get a release exception then

> However, I think that the idea is broken -- poe.perl.org may change 
> its address again

I fully agree with this, having a hard-code IP address and test that
depends on that is not nice 

> Net::DNS would be better.
> 
> Providing a patch left as an exercise for the reader :)

good :), /me committing a simple patch 

Cheers.
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 29 Nov 2008 01:18:05 GMT) Full text and rfc822 format available.

Message sent on to Rene Mayorga <rmayorga@debian.org.sv>:
Bug#506915. (Sat, 29 Nov 2008 01:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506915; Package libpoe-component-client-dns-perl. (Sat, 29 Nov 2008 15:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 29 Nov 2008 15:33:11 GMT) Full text and rfc822 format available.

Message #45 received at 506915@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Rene Mayorga <rmayorga@debian.org.sv>, 506915@bugs.debian.org
Subject: Re: Bug#506915: FTBFS: libpoe-component-client-dns-perl
Date: Sat, 29 Nov 2008 16:29:10 +0100
[Message part 1 (text/plain, inline)]
On Fri, 28 Nov 2008 19:49:15 -0500, Rene Mayorga wrote:

> > Net::DNS would be better.
> > Providing a patch left as an exercise for the reader :)
> good :), /me committing a simple patch 

Thanks for your work!

I just checked the patch, it looks good, and the package builds here
both with and without network.

So the next steps are to upload 1:1.01-2, and ask the release team,
right?

Cheers,
gregor
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Bettina Wegner: Ueber den Berg
[signature.asc (application/pgp-signature, inline)]

Reply sent to Rene Mayorga <rmayorga@debian.org.sv>:
You have taken responsibility. (Sun, 30 Nov 2008 00:27:08 GMT) Full text and rfc822 format available.

Notification sent to Rene Mayorga <rmayorga@debian.org.sv>:
Bug acknowledged by developer. (Sun, 30 Nov 2008 00:27:09 GMT) Full text and rfc822 format available.

Message #50 received at 506915-close@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: 506915-close@bugs.debian.org
Subject: Bug#506915: fixed in libpoe-component-client-dns-perl 1:1.01-2
Date: Sun, 30 Nov 2008 00:02:09 +0000
Source: libpoe-component-client-dns-perl
Source-Version: 1:1.01-2

We believe that the bug you reported is fixed in the latest version of
libpoe-component-client-dns-perl, which is due to be installed in the Debian FTP archive:

libpoe-component-client-dns-perl_1.01-2.diff.gz
  to pool/main/libp/libpoe-component-client-dns-perl/libpoe-component-client-dns-perl_1.01-2.diff.gz
libpoe-component-client-dns-perl_1.01-2.dsc
  to pool/main/libp/libpoe-component-client-dns-perl/libpoe-component-client-dns-perl_1.01-2.dsc
libpoe-component-client-dns-perl_1.01-2_all.deb
  to pool/main/libp/libpoe-component-client-dns-perl/libpoe-component-client-dns-perl_1.01-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506915@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rene Mayorga <rmayorga@debian.org.sv> (supplier of updated libpoe-component-client-dns-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 28 Nov 2008 17:05:53 -0600
Source: libpoe-component-client-dns-perl
Binary: libpoe-component-client-dns-perl
Architecture: source all
Version: 1:1.01-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Rene Mayorga <rmayorga@debian.org.sv>
Description: 
 libpoe-component-client-dns-perl - a DNS client component for POE
Closes: 506915
Changes: 
 libpoe-component-client-dns-perl (1:1.01-2) unstable; urgency=low
 .
   [ gregor herrmann ]
   * debian/control:
     - switch Vcs-Browser field to ViewSVN
     - add ${misc:Depends} to Depends:
 .
   [ Rene Mayorga ]
   * Add debian/patches/use_netdns_instead_of_harcode_ips.patch
     + this use Net::DNS to resolve poe.perl.org IP address instead of
       using a hardcode address at tests. Closes: #506915
   * add myself to uploaders.
Checksums-Sha1: 
 254840ef1203292ba9e13014e64900ff2d4d2ed4 1629 libpoe-component-client-dns-perl_1.01-2.dsc
 f2e7d303be3cc585a608344c64b6da2c66acb689 4065 libpoe-component-client-dns-perl_1.01-2.diff.gz
 26c643a3f4b50d461a01ce3cb0d5bbc53ac82214 17746 libpoe-component-client-dns-perl_1.01-2_all.deb
Checksums-Sha256: 
 d62df3ca593fa3736eb4f0e56fa64cce6846a0047a5db4d52c24bb04ae60902f 1629 libpoe-component-client-dns-perl_1.01-2.dsc
 4d8ec22ce2efb7f04f2061468c587286ee90dc52db01c102101b269a15836a12 4065 libpoe-component-client-dns-perl_1.01-2.diff.gz
 a97ae30489746b00bde486d91c46ce629ce8fe4a6e6fa6c0a40b3f4fc75d8b1a 17746 libpoe-component-client-dns-perl_1.01-2_all.deb
Files: 
 ecb106b57276e5f02ab528c6c7093b65 1629 perl extra libpoe-component-client-dns-perl_1.01-2.dsc
 2a32c61d3a6ec03b79d3fdfa3ec4498e 4065 perl extra libpoe-component-client-dns-perl_1.01-2.diff.gz
 125e715928dd1fe279d7216574b4dc45 17746 perl extra libpoe-component-client-dns-perl_1.01-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkx1toACgkQOzKYnQDzz+RvFACcDVlzdTniyxrDoDCGcKf2tDpK
n8MAn2EzcPU+b55BFWAyeaXgTjUFtyZb
=VeAw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Jan 2009 07:25:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:59:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.